#ifndef __GLCOLOR_H
#define __GLCOLOR_H

#include <SDL.h>
#include <SDL_opengl.h>
#include <iostream>
#include <string>

class GLColor {
	public:
		float r, g, b, a;
		bool setalpha;
		
		
		GLColor();
		GLColor(float _r, float _g, float _b, float _a=1.0f);
		GLColor(const SDL_Color&);
		
		void set(float _r, float _g, float _b, float _a=1.0f);
		SDL_Color getSDLColor();
		void print(std::string m="");
};

void glColorGLC(GLColor c);
// a) setalpha entscheiden lassen
// b) zwei funktionen, eine setzt alpha mit in richtung 3f, 4f..

#endif
