#ifndef __MENUMANAGER_H
#define __MENUMANAGER_H

#include <vector>

#include "../glfontengine.h"
#include "menumenu.h"


class MenuManager {
	private:
		MenuMenu *aktuell;
		
		std::vector<MenuMenu*> menus;
	public:
		MenuManager();
		
		void addMenu(MenuMenu*);
		bool changeMenu(MenuMenu*);
		const MenuMenu* getMenu();
		void render();
		
		void up();
		void down();
		void left();
		void right();
		void select();
		void charInput(char c);
		
		
		void reset();
};

#endif
