#include "button.h"

GLGuiButton::GLGuiButton(int _eventid, int _x, int _y, bool _center, int _wrap) : GLGuiTextLabel(_x, _y, _center, _wrap) {
	highlightable = true;
	clickable = true;
	eventid = _eventid;
	highlightcol.set(1.0f, 0.0f, 0.0f, 1.0f);
}
GLGuiButton::GLGuiButton(int _eventid, std::string str, int _x, int _y, bool _center, int _wrap) : GLGuiTextLabel(str, _x, _y, _center, _wrap){
	highlightable = true;
	clickable = true;
	eventid = _eventid;
	highlightcol.set(1.0f, 0.0f, 0.0f, 1.0f);
}

void GLGuiButton::onMouseOver(int m_x, int m_y) {
	// Lngste stelle finden, dann collision
}

void GLGuiButton::onMouseClick(int m_x, int m_y, int m_button) {
	SDL_Event e;
	e.type = GLGUI_BUTTONDOWN;
	e.user.code = eventid;
	SDL_PushEvent(&e);
}
